/*
 * Created on 15.03.2005
 *
 */
package org.eclipse.contribution.junit;

import org.eclipse.jdt.core.IJavaProject;

/**
 * @author Andreas
 *
 */
public interface ITestRunListener {
	void testsStarted(int testCount, IJavaProject project);
	void testsFinished(IJavaProject project);
	void testStarted(String klass, String method, IJavaProject project);
	void testOk(String klass, String method, IJavaProject project);
	void testFailed(String klass, String method, String trace, IJavaProject project);
}
